Get Subscriptions
curl --request GET \
--url https://server.stage.overflow.co/api/v3/subscriptions \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/subscriptions"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6710f34fd5061afeec3eab57",
"donorId": "6710f34fd5061afeec3eab57",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"startDate": "2025-01-01T00:00:00.000Z",
"status": "active",
"amount": 50,
"anonymous": false,
"frequency": "weekly",
"nextPaymentDate": "2025-01-01T00:00:00.000Z",
"paymentMethod": {
"id": "6710f34fd5061afeec3eab57",
"holderName": "John Doe",
"type": "card",
"last4": "4242",
"expiration": "12/2025"
},
"campaign": {
"id": "7710f34fd5061afeec3eab78",
"name": "Mission 2025"
},
"subcampaign": {
"id": "7710f34fd5061afeec3eab79",
"name": "Toy Drive"
},
"donorCoveredFees": false,
"metadata": {
"orderId": "abc-123"
},
"locationId": "6710f34fd5061afeec3eab57"
}
],
"totalCount": 100
}Get Subscriptions
Returns all subscriptions for nonprofit
GET
/
api
/
v3
/
subscriptions
Get Subscriptions
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of subscriptions to return.
Required range:
1 <= x <= 100The maximum updated date of the subscriptions to return.
Example:
"2025-02-01"
The minimum updated date of the subscriptions to return.
Example:
"2025-01-01"
The page number of the subscriptions to return.
Required range:
x >= 1The status of the subscriptions to return.
Available options:
active, failed, inactive, paused, pending, recreated Example:
["active"]
Filter subscriptions by location Ids.
Example:
["6710f34fd5061afeec3eab57"]
The field to sort the subscriptions by.
Available options:
amount, createdAt, frequency, nextContributionAt Example:
"createdAt"
The direction to sort the subscriptions by.
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 14, 2026
Related topics
Get Subscription By IdGet Subscriptions By DonorGet WebhooksGet WebhookCancel SubscriptionWas this page helpful?